
/* change the path */
proc import datafile = "...\Data2stCCS.csv"
            out      = ech (where= (Dummy_2st=1))
            dbms     = csv 
			replace;
			DELIMITER=";" ; 
run;

/* survey weights */
data ech; set ech; wik=(544*365)/(320*25); run;

/* Total X, Y ,Z and ratio Y/X, Z/X estimates, and their simplified variance estimate V2da */
proc SURVEYMEANS data=ech total=544 mean var sum varsum missing clm  /*alpha=0.10*/;
CLUSTER ID_i ;
VAR Xik Yik Zik ;
RATIO Yik Zik / Xik ;
WEIGHT wik ;
run ;

